var system = require("../../../system")
const CtlBase = require("../../ctl.base");
class ProductCtl extends CtlBase {
  constructor() {
    super("product", CtlBase.getServiceName(ProductCtl));
    // this.pricestrategyService=system.getObject("service.product.pricestrategySve")
  }
  async create(p,q,req){
     let pn=await this.service.create(p)
     return system.getResult(pn)
  }
}
module.exports = ProductCtl;
